library ieee;

use ieee.std_logic_1164.all;

entity seriale_seriale is
	port (rst,clk: in std_logic;
	      di: in std_logic;
		  o: out std_logic );
end seriale_seriale;

architecture beh of seriale_seriale is

signal T: std_logic_vector(7 downto 0);

begin
	process(rst,clk)
	begin
		if rst = '1' then
			T<= (others => '0');
	    elsif clk'event and clk='0' then
			T <= di&T(7 downto 1);
		end if;
	end process;
	
	o <= T(0);
end beh;

