library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_signed.all;

entity shift is
	port (D: in std_logic_vector( 7 downto 0);
	N: in std_logic_vector(3 downto 0);
	LR: in std_logic;
	Q: out std_logic_vector(7 downto 0) );
end shift;

architecture beh of shift is
begin
	
Q <= SHR(D,N) when LR = '0' else
	SHL(D,N);
end beh;

