library ieee;

use ieee.std_logic_1164.all;  
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity tbsp is
end tbsp;

architecture tbbsp of tbsp is

component seriale_parallelo is
	port (rst,clk, seriale: in std_logic;
	parallelo: out std_logic_vector(7 downto 0);
	pronto: out std_logic );
end component;

signal rst,clk, seriale, pronto: std_logic;
signal parallelo: std_logic_vector(7 downto 0);

begin
	
	du: seriale_parallelo port map (rst,clk,seriale,parallelo,pronto);
	
	process 
	begin
		clk <= '0';
		wait for 5 ns;
		clk <= '1';
		wait for 5 ns; 
	end process;
	
	rst <= '1' after 0 ns, '0' after 5 ns;
	
	seriale <= '1' after 0 ns, '0' after 1 ns,
		'1' after 31 ns, '0' after 61 ns, '1' after 81 ns;
		
end tbbsp;
