library ieee;
use ieee.std_logic_1164.all;

entity shift_right is
	port( D: in std_logic_vector(7 downto 0);
	      N: in integer range 0 to 8; 
		  Q: out std_logic_vector(7 downto 0) );
end shift_right;

architecture beh of shift_right is
begin
	process(D,N)
	begin
		Q(7 downto 7-N+1) <= (others => '0');
		Q(7-N downto 0) <= D(7 downto N);
	end process;
end beh;

		  