library ieee;
use ieee.std_logic_1164.all;

entity regfile is
	port ( rst, clk: in std_logic;
	       DS: in integer;
		   rw: in integer range 0 to 3;
		   rd: in integer range 0 to 3;
		   DL: out integer );
end regfile;

architecture beh of regfile is
type rf is array(0 to 3) of integer;
signal reg: rf;
begin
    

process(rst,clk)
begin
	if rst = '1' then
		for i in 0 to 3 loop
			reg(i)<= 0;
		end loop;
	elsif clk'event and clk='0' then
		reg(rw) <= DS;
	end if;
end process;

DL <= 	reg(rd);

end beh;

		   
	