library ieee;

use ieee.std_logic_1164.all;  
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity tbmcm is
end tbmcm;

architecture tbbmcm of tbmcm is

component mcm is
	port (start, clk: in std_logic;
	A,B: in std_logic_vector(7 downto 0);
	R: out std_logic_vector(7 downto 0);
	ready: out std_logic );
end component;

signal start, clk,ready:  std_logic;
signal A,B, R: std_logic_vector(7 downto 0);

begin
	dut: mcm port map (start,clk,A,B,R,ready);
	
	process 
	begin
		clk <= '0';
		wait for 5 ns;
		clk <= '1';
		wait for 5 ns; 
	end process;
	
	process
	begin
		wait for 10 ns;
		start <= '1';
		wait for 10 ns;
		start <= '0';
		wait until ready = '1';
		
	end process;
	
	process
	begin
	wait for 10 ns;
	A <= conv_std_logic_vector(2,8);
	B <= conv_std_logic_vector(3,8);
	wait until ready = '1';
	A <= conv_std_logic_vector(4,8);
	B <= conv_std_logic_vector(5,8);
	wait until ready = '1';
		A <= conv_std_logic_vector(3,8);
	B <= conv_std_logic_vector(7,8);
	wait until ready = '1';
    end process;
end tbbmcm;


	